{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends '_layout.html.twig' %}
{% block title %}{{ flux.name }}{% endblock %}
{% import ":_includes:macros.html.twig" as appMacros %}
{% set _breadcrumb = [['label.flux_plural', 'flux.index'], [flux.name, 'flux.parameters', {id: flux.id}]] %}
{% set route = app.request.get('_route') %}

{% block content %}
  <section class="content-header">
    {{ appMacros.completeDownloadBtn(flux) }}
    <h1>{{ "title.flux" | trans({"%name%": flux.name}) }}</h1>
  </section>
  <section class="content">
    <!-- /.row -->
    <div class="row">
      <div class="col-xs-12">
        <div class="nav-tabs-custom">

          {# TABS #}
          <ul class="nav nav-tabs" role="tablist">

            {# PARAMETERS #}
            <li class="{{ 'flux.parameters' in route ? 'active' }}">
              <a href="{{ path('flux.parameters', { id: flux.id }) }}">
                {{ "tab.parameters" | trans }}
              </a>
            </li>

            {% if is_granted('flux.edit', flux) %}
              {# SPARQL EDITOR #}
              <li class="{{ 'flux.editor' in route ? 'active' }}">
                <a href="{{ path('flux.editor', { id: flux.id }) }}">
                  {{ "tab.query_editor" | trans }}
                </a>
              </li>
            {% else %}
              {# SPARQL EDITOR #}
              <li class="{{ 'flux.query' in route ? 'active' }}">
                <a href="{{ path('flux.query', { id: flux.id }) }}">
                  {{ "tab.sparql_query" | trans }}
                </a>
              </li>
            {% endif %}

            {# PROCESSES #}
            <li class="{{ 'flux.processes' in route ? 'active' }}">
              <a href="{{ path('flux.processes', { id: flux.id }) }}">
                {{ "tab.processes" | trans }}
              </a>
            </li>

            <li class="{{ 'flux.downloads' in route ? 'active' }}">
              <a href="{{ path('flux.downloads', { id: flux.id }) }}">
                {{ "tab.downloads" | trans }}
              </a>
            </li>

            {% if is_granted('flux.edit', flux) %}
              {# ADMINISTRATION #}
              <li class="{{ 'flux.administrate' in route ? 'active' }}">
                <a href="{{ path('flux.administrate', { id: flux.id }) }}">
                  {{ "label.administration" | trans }}
                </a>
              </li>
            {% endif %}
          </ul>

          {# SUBCONTENT #}
          <div class="tab-content no-padding">
            <div class="tab-pane active">
              {% if flux.scheduleHour is null and flux.getLastSuccessProcess('complete') %}
                <div class="m-0 p-10 alert alert-warning text-center">
                  {{ "msg.scheduling_deactivated" | trans | raw }}
                </div>
              {% endif %}
              {% block subcontent %}{% endblock %}
            </div>
          </div>
          <!-- /.tab-content -->
        </div>
      </div>
    </div>
  </section>
{% endblock %}


